---
title: "List immutable presentation history"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/presentation/history`

## Path parameters

- `id` (`company-presentations-history.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/presentation/history'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/presentation/history';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/presentation/history"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "presentationId": "e1fc6bcc-f902-4bce-8b40-504b99e58d26",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "versionNumber": 0,
      "parentVersionId": "abf80970-9686-419e-bc00-5ddcccc33ba6",
      "origin": "template_applied",
      "definition": {
        "schemaVersion": 1,
        "template": {
          "key": "company_profile",
          "version": "string"
        },
        "theme": {
          "tone": "light",
          "density": "compact",
          "corners": "square",
          "accent": "sureshake"
        },
        "widgets": [
          {
            "instanceId": "64d2028c-ae87-4069-a624-66089d957ef9",
            "order": 99,
            "span": {
              "base": 12,
              "sm": 1,
              "md": 1,
              "lg": 1
            },
            "audience": "public",
            "titleOverride": null,
            "kind": "company_identity",
            "config": {
              "showVerification": true,
              "showMarketIdentity": true,
              "showLocation": true
            }
          },
          {
            "instanceId": "64d2028c-ae87-4069-a624-66089d957ef9",
            "order": 99,
            "span": {
              "base": 12,
              "sm": 1,
              "md": 1,
              "lg": 1
            },
            "audience": "public",
            "titleOverride": null,
            "kind": "company_identity",
            "config": {
              "showVerification": true,
              "showMarketIdentity": true,
              "showLocation": true
            }
          },
          {
            "instanceId": "64d2028c-ae87-4069-a624-66089d957ef9",
            "order": 99,
            "span": {
              "base": 12,
              "sm": 1,
              "md": 1,
              "lg": 1
            },
            "audience": "public",
            "titleOverride": null,
            "kind": "company_identity",
            "config": {
              "showVerification": true,
              "showMarketIdentity": true,
              "showLocation": true
            }
          },
          {
            "instanceId": "64d2028c-ae87-4069-a624-66089d957ef9",
            "order": 99,
            "span": {
              "base": 12,
              "sm": 1,
              "md": 1,
              "lg": 1
            },
            "audience": "public",
            "titleOverride": null,
            "kind": "company_identity",
            "config": {
              "showVerification": true,
              "showMarketIdentity": true,
              "showLocation": true
            }
          }
        ]
      },
      "definitionHash": "string",
      "changeNote": "string",
      "createdByUserId": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`company-presentations-history.response.200.data`; array<object>, required)
  - `id` (`company-presentations-history.response.200.data.id`; string, required)
    - format `uuid`
  - `presentationId` (`company-presentations-history.response.200.data.presentationId`; string, required)
    - format `uuid`
  - `entityId` (`company-presentations-history.response.200.data.entityId`; string, required)
    - format `uuid`
  - `versionNumber` (`company-presentations-history.response.200.data.versionNumber`; integer, required)
    - min 0
  - `parentVersionId` (`company-presentations-history.response.200.data.parentVersionId`; string, required, nullable)
    - format `uuid`
  - `origin` (`company-presentations-history.response.200.data.origin`; string, required)
    - one of `"template_applied"`, `"editor_save"`, `"publish"`, `"rollback"`, `"migration"`
  - `definition` (`company-presentations-history.response.200.data.definition`; object, required)
    - `schemaVersion` (`company-presentations-history.response.200.data.definition.schemaVersion`; number, required)
      - one of `1`
    - `template` (`company-presentations-history.response.200.data.definition.template`; object, required)
      - `key` (`company-presentations-history.response.200.data.definition.template.key`; string, required)
        - one of `"company_profile"`, `"public_company"`, `"saas_company"`, `"fund_manager"`
      - `version` (`company-presentations-history.response.200.data.definition.template.version`; string, required)
        - pattern `^\d+\.\d+\.\d+$`
    - `theme` (`company-presentations-history.response.200.data.definition.theme`; object, required)
      - `tone` (`company-presentations-history.response.200.data.definition.theme.tone`; string, required)
        - one of `"light"`, `"dark"`, `"system"`
      - `density` (`company-presentations-history.response.200.data.definition.theme.density`; string, required)
        - one of `"compact"`, `"comfortable"`
      - `corners` (`company-presentations-history.response.200.data.definition.theme.corners`; string, required)
        - one of `"square"`, `"soft"`, `"rounded"`
      - `accent` (`company-presentations-history.response.200.data.definition.theme.accent`; string, required)
        - one of `"sureshake"`, `"emerald"`, `"blue"`, `"violet"`, `"slate"`
    - `widgets` (`company-presentations-history.response.200.data.definition.widgets`; array<any of>, required)
      - any of:
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.1.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.1.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.1.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.1.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.1.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.1.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.1.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.1.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.1.kind`; string, required)
            - one of `"company_identity"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.1.config`; object, required)
            - `showVerification` (`company-presentations-history.response.200.data.definition.widgets.1.config.showVerification`; boolean, required)
            - `showMarketIdentity` (`company-presentations-history.response.200.data.definition.widgets.1.config.showMarketIdentity`; boolean, required)
            - `showLocation` (`company-presentations-history.response.200.data.definition.widgets.1.config.showLocation`; boolean, required)
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.1.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.2.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.2.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.2.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.2.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.2.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.2.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.2.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.2.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.2.kind`; string, required)
            - one of `"company_overview"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.2.config`; object, required)
            - `showDescription` (`company-presentations-history.response.200.data.definition.widgets.2.config.showDescription`; boolean, required)
            - `showWebsite` (`company-presentations-history.response.200.data.definition.widgets.2.config.showWebsite`; boolean, required)
            - `showSocialLinks` (`company-presentations-history.response.200.data.definition.widgets.2.config.showSocialLinks`; boolean, required)
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.2.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.3.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.3.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.3.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.3.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.3.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.3.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.3.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.3.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.3.kind`; string, required)
            - one of `"key_metrics"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.3.config`; object, required)
            - `metricKeys` (`company-presentations-history.response.200.data.definition.widgets.3.config.metricKeys`; array<string>, required)
              - one of `"revenue"`, `"gross_profit"`, `"operating_income"`, `"net_income"`, `"cash_and_equivalents"`, `"total_assets"`, `"total_liabilities"`, `"stockholders_equity"`, `"operating_cash_flow"`, `"capital_expenditures"`, `"free_cash_flow"`, `"ebitda"`, `"current_ratio"`, `"debt_to_equity"`, `"net_margin"`, `"operating_margin"`, `"revenue_growth"`, `"cash_balance"`, `"gross_margin"`, `"burn_rate"`, `"runway_months"`
            - `showDeltas` (`company-presentations-history.response.200.data.definition.widgets.3.config.showDeltas`; boolean, required)
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.3.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.4.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.4.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.4.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.4.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.4.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.4.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.4.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.4.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.4.kind`; string, required)
            - one of `"financial_health"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.4.config`; object, required)
            - `showSignals` (`company-presentations-history.response.200.data.definition.widgets.4.config.showSignals`; boolean, required)
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.4.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.5.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.5.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.5.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.5.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.5.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.5.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.5.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.5.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.5.kind`; string, required)
            - one of `"financial_charts"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.5.config`; object, required)
            - `metricKeys` (`company-presentations-history.response.200.data.definition.widgets.5.config.metricKeys`; array<string>, required)
              - one of `"revenue"`, `"gross_profit"`, `"operating_income"`, `"net_income"`, `"cash_and_equivalents"`, `"total_assets"`, `"total_liabilities"`, `"stockholders_equity"`, `"operating_cash_flow"`, `"capital_expenditures"`, `"free_cash_flow"`, `"ebitda"`, `"current_ratio"`, `"debt_to_equity"`, `"net_margin"`, `"operating_margin"`, `"revenue_growth"`, `"cash_balance"`, `"gross_margin"`, `"burn_rate"`, `"runway_months"`
            - `periodLimit` (`company-presentations-history.response.200.data.definition.widgets.5.config.periodLimit`; integer, required)
              - min 2; max 12
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.5.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.6.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.6.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.6.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.6.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.6.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.6.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.6.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.6.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.6.kind`; string, required)
            - one of `"historical_financials"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.6.config`; object, required)
            - `statement` (`company-presentations-history.response.200.data.definition.widgets.6.config.statement`; string, required)
              - one of `"summary"`, `"income"`, `"balance_sheet"`, `"cash_flow"`
            - `periodLimit` (`company-presentations-history.response.200.data.definition.widgets.6.config.periodLimit`; integer, required)
              - min 1; max 12
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.6.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.7.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.7.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.7.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.7.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.7.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.7.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.7.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.7.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.7.kind`; string, required)
            - one of `"filings"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.7.config`; object, required)
            - `formFamilies` (`company-presentations-history.response.200.data.definition.widgets.7.config.formFamilies`; array<string>, required)
              - one of `"annual"`, `"quarterly"`, `"current"`, `"other"`
            - `limit` (`company-presentations-history.response.200.data.definition.widgets.7.config.limit`; integer, required)
              - min 1; max 50
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.7.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.8.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.8.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.8.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.8.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.8.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.8.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.8.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.8.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.8.kind`; string, required)
            - one of `"reports"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.8.config`; object, required)
            - `limit` (`company-presentations-history.response.200.data.definition.widgets.8.config.limit`; integer, required)
              - min 1; max 20
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.8.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.9.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.9.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.9.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.9.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.9.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.9.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.9.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.9.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.9.kind`; string, required)
            - one of `"team"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.9.config`; object, required)
            - `selection` (`company-presentations-history.response.200.data.definition.widgets.9.config.selection`; any of, required)
              - any of:
                - `object`
                  - `mode` (`company-presentations-history.response.200.data.definition.widgets.9.config.selection.1.mode`; string, required)
                    - one of `"all"`
                - `object`
                  - `mode` (`company-presentations-history.response.200.data.definition.widgets.9.config.selection.2.mode`; string, required)
                    - one of `"selected"`
                  - `ids` (`company-presentations-history.response.200.data.definition.widgets.9.config.selection.2.ids`; array<string>, required)
                    - format `uuid`
            - `showTitles` (`company-presentations-history.response.200.data.definition.widgets.9.config.showTitles`; boolean, required)
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.9.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.10.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.10.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.10.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.10.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.10.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.10.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.10.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.10.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.10.kind`; string, required)
            - one of `"portfolio_companies"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.10.config`; object, required)
            - `selection` (`company-presentations-history.response.200.data.definition.widgets.10.config.selection`; any of, required)
              - any of:
                - `object`
                  - `mode` (`company-presentations-history.response.200.data.definition.widgets.10.config.selection.1.mode`; string, required)
                    - one of `"all"`
                - `object`
                  - `mode` (`company-presentations-history.response.200.data.definition.widgets.10.config.selection.2.mode`; string, required)
                    - one of `"selected"`
                  - `ids` (`company-presentations-history.response.200.data.definition.widgets.10.config.selection.2.ids`; array<string>, required)
                    - minLength 1; maxLength 200; pattern `^[A-Za-z0-9][A-Za-z0-9:._/-]*$`
            - `showInvestmentDetails` (`company-presentations-history.response.200.data.definition.widgets.10.config.showInvestmentDetails`; boolean, required)
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.10.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.11.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.11.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.11.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.11.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.11.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.11.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.11.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.11.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.11.kind`; string, required)
            - one of `"transparency_ladder"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.11.config`; object, required)
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.11.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.12.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.12.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.12.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.12.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.12.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.12.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.12.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.12.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.12.kind`; string, required)
            - one of `"access_request"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.12.config`; object, required)
            - `prompt` (`company-presentations-history.response.200.data.definition.widgets.12.config.prompt`; string, required)
              - minLength 1; maxLength 160
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.12.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.13.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.13.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.13.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.13.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.13.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.13.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.13.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.13.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.13.kind`; string, required)
            - one of `"source_provenance"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.13.config`; object, required)
            - `showAccessedAt` (`company-presentations-history.response.200.data.definition.widgets.13.config.showAccessedAt`; boolean, required)
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.13.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.14.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.14.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.14.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.14.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.14.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.14.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.14.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.14.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.14.kind`; string, required)
            - one of `"privacy_notice"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.14.config`; object, required)
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.14.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
        - `object`
          - `instanceId` (`company-presentations-history.response.200.data.definition.widgets.15.instanceId`; string, required)
            - format `uuid`
          - `order` (`company-presentations-history.response.200.data.definition.widgets.15.order`; integer, required)
            - min 0; max 99
          - `span` (`company-presentations-history.response.200.data.definition.widgets.15.span`; object, required)
            - `base` (`company-presentations-history.response.200.data.definition.widgets.15.span.base`; number, required)
              - one of `12`
            - `sm` (`company-presentations-history.response.200.data.definition.widgets.15.span.sm`; integer, optional)
              - min 1; max 12
            - `md` (`company-presentations-history.response.200.data.definition.widgets.15.span.md`; integer, optional)
              - min 1; max 12
            - `lg` (`company-presentations-history.response.200.data.definition.widgets.15.span.lg`; integer, optional)
              - min 1; max 12
          - `audience` (`company-presentations-history.response.200.data.definition.widgets.15.audience`; string, required)
            - one of `"public"`, `"authenticated"`, `"permissioned"`
          - `kind` (`company-presentations-history.response.200.data.definition.widgets.15.kind`; string, required)
            - one of `"regulatory_disclaimer"`
          - `config` (`company-presentations-history.response.200.data.definition.widgets.15.config`; object, required)
            - `variant` (`company-presentations-history.response.200.data.definition.widgets.15.config.variant`; string, required)
              - one of `"general"`, `"public_securities"`, `"investment_performance"`
          - `titleOverride` (`company-presentations-history.response.200.data.definition.widgets.15.titleOverride`; string, optional, nullable)
            - minLength 1; maxLength 80; default `null`
  - `definitionHash` (`company-presentations-history.response.200.data.definitionHash`; string, required)
    - pattern `^sha256:[0-9a-f]{64}$`
  - `changeNote` (`company-presentations-history.response.200.data.changeNote`; string, required, nullable)
  - `createdByUserId` (`company-presentations-history.response.200.data.createdByUserId`; string, required, nullable)
    - minLength 1
  - `createdAt` (`company-presentations-history.response.200.data.createdAt`; string, required)
    - format `date-time`
- `meta` (`company-presentations-history.response.200.meta`; object, required)
  - `total` (`company-presentations-history.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`company-presentations-history.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`company-presentations-history.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`company-presentations-history.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`company-presentations-history.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`company-presentations-history.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-history.response.400.error`; object, required)
  - `code` (`company-presentations-history.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-history.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-history.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-history.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-history.response.401.error`; object, required)
  - `code` (`company-presentations-history.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-history.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-history.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-history.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-history.response.403.error`; object, required)
  - `code` (`company-presentations-history.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-history.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-history.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-history.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-history.response.404.error`; object, required)
  - `code` (`company-presentations-history.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-history.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-history.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-history.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-history.response.409.error`; object, required)
  - `code` (`company-presentations-history.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-history.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-history.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-history.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-history.response.500.error`; object, required)
  - `code` (`company-presentations-history.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-history.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-history.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-history.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/company-presentations-history/index.md
